`eosjs` provides an example implementation of the [`SignatureProvider` interface](https://github.com/EOSIO/eosjs/blob/849c03992e6ce3cb4b6a11bf18ab17b62136e5c9/src/eosjs-api-interfaces.ts#L60) called [`JsSignatureProvider`](https://github.com/EOSIO/eosjs/blob/849c03992e6ce3cb4b6a11bf18ab17b62136e5c9/src/eosjs-jssig.ts#L11).

Although `JsSignatureProvider` is insecure and should not be used in production, it provides a basic example of what a `SignatureProvider` is and does.  `JsSignatureProvider` simply takes a list of private keys as strings in its constructor and maps these private keys to their respective public keys.  When [`JsSignatureProvider`'s `sign`](https://github.com/EOSIO/eosjs/blob/849c03992e6ce3cb4b6a11bf18ab17b62136e5c9/src/eosjs-jssig.ts#L33) is called, a buffer of the `chainId` and `serializedTransaction` is created and [`eosjs-ecc`'s `ecc` object](https://github.com/EOSIO/eosjs-ecc/blob/7ec577cad54e17da6168fdfb11ec2b09d6f0e7f0/src/index.js#L4) is used to sign the buffer with the private key corresponding to the required public key.